Bug 2743 - NULL-ptr crash in procmime.c strchr()
: NULL-ptr crash in procmime.c strchr()
Status: RESOLVED FIXED
Product: Claws Mail
Classification: Unclassified
Component: Folders
: 3.8.1
: PC Linux
: P3 normal
Assigned To: users
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 18:19 CEST by Michael Schwendt
Modified: 2012-10-06 08:18 CEST (History)
0 users

See Also:


Attachments
the patch only adds a NULL check (428 bytes, patch)
2012-10-03 18:19 CEST, Michael Schwendt
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Schwendt 2012-10-03 18:19:25 CEST
Created attachment 1165 [details]
the patch only adds a NULL check

https://bugzilla.redhat.com/862578
Comment 1 users 2012-10-04 01:23:35 CEST
Changes related to this bug have been committed.
Please check latest CVS and update the bug accordingly.
You can also get the patch from:
http://www.claws-mail.org/tracker/

2012-10-03 [mones]	3.8.1cvs82

	* src/procmime.c
		Fix bug #2743 'null pointer crash in procmime strchr'
		Patch by Michael Schwendt (from RedHat bug 862578)